# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`mumble`](#mumble): This class manages mumble on Debian based systems.

## Classes

### <a name="mumble"></a>`mumble`

This class manages mumble on Debian based systems.

#### Examples

##### Install mumble and configure an entrance password

```puppet
class { 'mumble':
  password => 'Fo0b@rr',
}
```

#### Parameters

The following parameters are available in the `mumble` class:

* [`autostart`](#-mumble--autostart)
* [`ppa`](#-mumble--ppa)
* [`snapshot`](#-mumble--snapshot)
* [`libicu_fix`](#-mumble--libicu_fix)
* [`server_password`](#-mumble--server_password)
* [`version`](#-mumble--version)
* [`register_name`](#-mumble--register_name)
* [`password`](#-mumble--password)
* [`port`](#-mumble--port)
* [`host`](#-mumble--host)
* [`user`](#-mumble--user)
* [`group`](#-mumble--group)
* [`bandwidth`](#-mumble--bandwidth)
* [`users`](#-mumble--users)
* [`text_length_limit`](#-mumble--text_length_limit)
* [`autoban_attempts`](#-mumble--autoban_attempts)
* [`autoban_time_frame`](#-mumble--autoban_time_frame)
* [`autoban_time`](#-mumble--autoban_time)
* [`database_path`](#-mumble--database_path)
* [`log_path`](#-mumble--log_path)
* [`allow_html`](#-mumble--allow_html)
* [`log_days`](#-mumble--log_days)
* [`ssl_cert`](#-mumble--ssl_cert)
* [`ssl_key`](#-mumble--ssl_key)
* [`welcome_text`](#-mumble--welcome_text)

##### <a name="-mumble--autostart"></a>`autostart`

Data type: `Any`

start server at boot.

Default value: `true`

##### <a name="-mumble--ppa"></a>`ppa`

Data type: `Any`

use Ubuntu PPA instead default APT repos.

Default value: `false`

##### <a name="-mumble--snapshot"></a>`snapshot`

Data type: `PPA only`

use snapshot over release.

Default value: `false`

##### <a name="-mumble--libicu_fix"></a>`libicu_fix`

Data type: `Any`

install libicu-dev to fix dependency.

Default value: `false`

##### <a name="-mumble--server_password"></a>`server_password`

Data type: `Any`

supervisor account password (mumble admin).

Default value: `undef`

##### <a name="-mumble--version"></a>`version`

Data type: `Any`

configure the version of mumble to install.

Default value: `installed`

##### <a name="-mumble--register_name"></a>`register_name`

Data type: `Any`

muble server name. (This parameter affect mumble-server.ini through a template. For more info, see http://mumble.sourceforge.net/Murmur.ini)

Default value: `'Mumble Server'`

##### <a name="-mumble--password"></a>`password`

Data type: `Any`

general entrance password.

Default value: `''`

##### <a name="-mumble--port"></a>`port`

Data type: `Any`

port to bind TCP and UDP sockets to.

Default value: `64738`

##### <a name="-mumble--host"></a>`host`

Data type: `Any`

IP or hostname to bind to. (If this is left blank (default), Murmur will bind to all available addresses).

Default value: `''`

##### <a name="-mumble--user"></a>`user`

Data type: `Any`

username used to start mumble.

Default value: `'mumble-server'`

##### <a name="-mumble--group"></a>`group`

Data type: `Any`

mumble server group

Default value: `'mumble-server'`

##### <a name="-mumble--bandwidth"></a>`bandwidth`

Data type: `Any`

maximum bandwidth (in bits per second) clients are allowed).

Default value: `72000`

##### <a name="-mumble--users"></a>`users`

Data type: `Any`

maximum number of concurrent clients allowed.

Default value: `100`

##### <a name="-mumble--text_length_limit"></a>`text_length_limit`

Data type: `Any`

maximum length of text messages in characters. 0 for no limit.

Default value: `5000`

##### <a name="-mumble--autoban_attempts"></a>`autoban_attempts`

Data type: `Any`

how many login attempts do we tolerate from one IP? (0 to disable).

Default value: `10`

##### <a name="-mumble--autoban_time_frame"></a>`autoban_time_frame`

Data type: `Any`

time interval (0 to disable).

Default value: `120`

##### <a name="-mumble--autoban_time"></a>`autoban_time`

Data type: `Any`

bantime duration in seconds (0 to disable).

Default value: `300`

##### <a name="-mumble--database_path"></a>`database_path`

Data type: `Any`

path to database.
Allowed values: absolute path

Default value: `'/var/lib/mumble-server/mumble-server.sqlite'`

##### <a name="-mumble--log_path"></a>`log_path`

Data type: `Any`

path to logfile
Allowed values: absolute path

Default value: `'/var/log/mumble-server/mumble-server.log'`

##### <a name="-mumble--allow_html"></a>`allow_html`

Data type: `Any`

allow clients to use HTML in messages, user comments and channel descriptions?

Default value: `true`

##### <a name="-mumble--log_days"></a>`log_days`

Data type: `Any`

log entries in an internal database (set to 0 to keep forever, or -1 to disable logging to the DB).

Default value: `31`

##### <a name="-mumble--ssl_cert"></a>`ssl_cert`

Data type: `Any`

ssl certificate.

Default value: `''`

##### <a name="-mumble--ssl_key"></a>`ssl_key`

Data type: `Any`

key file.

Default value: `''`

##### <a name="-mumble--welcome_text"></a>`welcome_text`

Data type: `Any`

a welcome formated text.

Default value: `'<br />Welcome to this server running <b>Murmur</b>.<br />Enjoy your stay!<br />'`

